Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.file
[Java] Interface SourceDirectorySet

    org.gradle.api.Buildable
      org.gradle.api.tasks.AntBuilderAware
          org.gradle.api.file.FileTree
              org.gradle.api.file.SourceDirectorySet
                  org.gradle.api.tasks.util.PatternFilterable
                      org.gradle.api.file.FileCollection
                          org.gradle.api.Named

All Superinterfaces:
  Buildable, AntBuilderAware, FileTree, PatternFilterable, FileCollection, Named

    public interface SourceDirectorySet
    extends FileTree, Named, PatternFilterable

A `SourceDirectorySet` represents a set of source files composed from a set of source directories, along with associated include and exclude patterns.

TODO - configure includes/excludes for individual source dirs, and sync up with CopySpec TODO - allow add FileTree

Method Summary
`PatternFilterable` | `getFilter()` Returns the filter used to select the source from the source directories.
`String` | `getName()` A concise name for the source directory set (typically used to identify it in a collection).
`Set` | `getSrcDirTrees()` Returns the source directory trees which make up this set.
`Set` | `getSrcDirs()` Returns the source directories which make up this set.
`SourceDirectorySet` | `setSrcDirs(Iterable srcPaths)` Sets the source directories for this set.
`SourceDirectorySet` | `source(SourceDirectorySet source)` Adds the given source to this set.
`SourceDirectorySet` | `srcDir(Object srcPath)` Adds the given source directory to this set.
`SourceDirectorySet` | `srcDirs(Object... srcPaths)` Adds the given source directories to this set.

Methods inherited from interface FileTree
getAsFileTree, matching, matching, plus, visit, visit

Methods inherited from interface PatternFilterable
exclude, exclude, exclude, exclude, getExcludes, getIncludes, include, include, include, include, setExcludes, setIncludes

Methods inherited from interface Named
getName

Method Detail

### getFilter

    public PatternFilterable getFilter()

  Returns the filter used to select the source from the source directories. These filter patterns are applied after the include and exclude patterns of the source directory set itself. Generally, the filter patterns are used to select certain types of files, eg `*.java`.
  Returns:
    The filter patterns.

### getName

    public String getName()

  A concise name for the source directory set (typically used to identify it in a collection).

### getSrcDirTrees

    public Set getSrcDirTrees()

  Returns the source directory trees which make up this set. Does not filter source directories which do not exist.
  Returns:
    The source directory trees. Returns an empty set when this set contains no source directories.

### getSrcDirs

    public Set getSrcDirs()

  Returns the source directories which make up this set. Does not filter source directories which do not exist.
  Returns:
    The source directories. Returns an empty set when this set contains no source directories.

### setSrcDirs

    public SourceDirectorySet setSrcDirs(Iterable srcPaths)

  Sets the source directories for this set.
  Parameters:
    `srcPaths` - The source directories. These are evaluated as per Project.files
  Returns:
    this

### source

    public SourceDirectorySet source(SourceDirectorySet source)

  Adds the given source to this set.
  Parameters:
    `source` - The source to add.
  Returns:
    this

### srcDir

    public SourceDirectorySet srcDir(Object srcPath)

  Adds the given source directory to this set.
  Parameters:
    `srcPath` - The source directory. This is evaluated as per Project.file
  Returns:
    this

### srcDirs

    public SourceDirectorySet srcDirs(Object... srcPaths)

  Adds the given source directories to this set.
  Parameters:
    `srcPaths` - The source directories. These are evaluated as per Project.files
  Returns:
    this

Gradle API 1.10